Create Lease: Rent Manager
https://api.propexo.com/v1/leases/rentmanager/| Method |
|---|
| POST /Leases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
The Propexo unique identifier for the property
The start date associated with the lease
The end date associated with the lease
The scheduled move-out date associated with the lease
The move-in date associated with the lease
The move-out date associated with the lease
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
The Propexo unique identifier for the property
The start date associated with the lease
The end date associated with the lease
The scheduled move-out date associated with the lease
The move-in date associated with the lease
The move-out date associated with the lease
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leases/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"unit_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"unit_id": "string",
"property_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"realized_move_in_date": "2024-07-29T15:51:28.071Z",
"realized_move_out_date": "2024-07-29T15:51:28.071Z"
}
}